<nav>
  <a href="/" id="home_link"><img src="/assets/android-chrome-512x512.png" id="banner" alt="banner" height="64" /></a>
  <div id="search">
    <img src="/assets/magnifying-glass.svg" alt="search" />
    <input id="search-input" placeholder="Search" type="text"/>
  </div>
  <ul id="nav_ul">
    <% if(session != undefined) { %>
      <% if(Object.hasOwn(session, "logged_in")) { %>
        <% if(session.privilege == 'admin') { %>
          <li><a href="/post">Post</a></li>
        <% } %>
        <li><a href="/user/logout">Logout</a></li>
      <% } else { %>
        <li><a href="/register">Register</a></li>
        <li><a href="/login">Login</a></li>
      <% } %>
    <% } %>
  </ul>
  <a class="cart_button" href="/cart"><img width="24" height="24" src="https://img.icons8.com/ios-glyphs/24/shopping-cart--v1.png" alt="shopping-cart--v1"/><b id="cart_count"></b></a>
  <a class="mobile-dropdown"><i class="fa fa-bars"></i></a>
</nav>
